<template>
    <div class="login">
      <div class="container-half1">
        <!-- Componente a la izquierda -->
          <CarouselComponent 
            :imagenes="[
              'https://i.ibb.co/tmWsTMs/Login1.png',
              'https://i.ibb.co/Yf6c4Kw/login2.png',
            ]" />
      </div>
      <div class="container-half2">
        <!-- Formulario de login a la derecha -->
        <div class="login-container">
          <h2 class="mb-4">Login</h2>
          <br><br>
          <form @submit.prevent="submitForm">
            <div class="form-group mb-3">
              <input type="email" class="form-control" id="email" v-model="email" placeholder="Correo" required>
            </div>
            <div class="form-group mb-3">
              <input type="password" class="form-control" id="password" v-model="password" placeholder="Contraseña" required>
            </div>
            <br><br>
            <button type="submit" class="btn btn-primary btn-block mb-3">Iniciar sesión</button>
            <router-link to="/Register"><button class="btn btn-secondary btn-block">Registrarse</button></router-link>
            <router-link to="/RecuperacionEmail">
            <button class="btn btn-link btn-block">¿Olvidaste tu contraseña?</button>
          </router-link>
          </form>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  import axios from 'axios';
  import CarouselComponent from '../../components/cuenta/CarouselComponent.vue';
  
  export default {
    name: 'LoginPage',
    components: {
      CarouselComponent,
    },
    data() {
      return {
        email: '',
        password: ''
      };
    },
    created() {
      // Eliminar el token de la memoria local cuando se carga la página
      localStorage.removeItem('accessToken');
    },
    methods: {
      submitForm() {
        const loginData = {
          email: this.email,
          password: this.password
        };
  
        axios.post('http://localhost:3001/login', loginData)
      .then(response => {
    const accessToken = response.headers['authorization'];

// Verificar si el token de acceso es válido
if (!accessToken) {
  alert('Usuario no encontrado');
  return;
}
localStorage.setItem('accessToken', accessToken);
// Establecer el token en el encabezado 'Authorization'
axios.defaults.headers.common['Authorization'] = accessToken;

this.$router.push('/');


    // Redirigir a la página de ajustes de cuenta si el inicio de sesión es exitoso
  })
  .catch(error => {
        if (error.response) {
          switch(error.response.status) {
            case 403:
              alert('Correo o contraseña incorrectos');
              break;
            case 401:
              alert('Usuario no ha sido verificado');
              break;
            default:
    console.error(error);
          }
        }
  });
      }
    }
  };
  </script>
  
  <style scoped>
  .login {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #ffffff;
  }
  
  .container-half2 {
    width: 50%;
  }
  
  .container-half1 {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 50%;
    background-color: #4d6dcf;
  }
  
  .login-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px;
  }
  
  .login-container .form-group {
    width: 100%;
  }
  
  
  .login-container button {
    width: 100%;
  }
  .login-container button.btn-primary {
  color: #fff;
}
  </style>
  